    class
    	JNI_ENVIRONMENT

    Ancestors
    	ANY

    Clients
    	JAVA_ARGS
    	JAVA_ARRAY
    	JAVA_BOOLEAN_ARRAY
    	JAVA_BYTE_ARRAY
    	JAVA_CHAR_ARRAY
    	JAVA_CLASS
    	JAVA_DOUBLE_ARRAY
    	JAVA_FLOAT_ARRAY
    	JAVA_INT_ARRAY
    	JAVA_LONG_ARRAY
    	JAVA_OBJECT
    	JAVA_OBJECT_ARRAY
    	JAVA_SHORT_ARRAY
    	JAVA_VM
    	JNI_ENVIRONMENT

    Suppliers
    	C_STRING
    	EXCEPTIONS
    	HASH_TABLE [G, H -> HASHABLE]
    	INTEGER_32
    	JAVA_CLASS
    	JAVA_OBJECT
    	JAVA_VM
    	JNI_ENVIRONMENT
    	STRING_8